Skip to main content
GET
List product groups

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

limit
number
default:10

Maximum number of product groups to return

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination: the product group ID to start after

ending_before
string

Cursor for backward pagination: the product group ID to end before

external_id
string

Only the product group with this external_id (your own key). Case-sensitive, exact match.

Example:

"plans"

Response

Paginated list of product groups

object
string
required

Object type

Example:

"list"

data
object[]
required

The product groups of this page.

has_more
boolean
required

Whether more items exist beyond this page.